petsc-3.4.2 2013-07-02

# MatShellGetContext

Returns the user-provided context associated with a shell matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatShellGetContext(Mat mat,void *ctx)

Not Collective

### Input Parameter

mat -the matrix, should have been created with MatCreateShell()

### Output Parameter

ctx -the user provided context

### Notes

This routine is intended for use within various shell matrix routines, as set with MatShellSetOperation().

### Keywords

matrix, shell, get, context

### See Also

MatCreateShell(), MatShellSetOperation(), MatShellSetContext()

Level:advanced
Location:src/mat/impls/shell/shell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex62.c.html